Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Class AbstractDescriptor

    java.lang.Object
      |
      +--com.bea.wlai.common.AbstractDescriptor

Direct Known Subclasses:
  AbstractPropertiedDescriptor, ApplicationViewDescriptor, DocumentDescriptor, SchemaDescriptor

public abstract class AbstractDescriptor
extends java.lang.Object
implements IDescriptor

Base class for all descriptors.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`protected` | `AbstractDescriptor(java.lang.String publicID, java.lang.String resourcePath)` Construct a new instance with the given XML public ID and resource path identifying the DTD.
`protected` | `AbstractDescriptor(java.lang.String publicID, java.lang.String resourcePath, java.lang.String name, java.lang.String description)` Construct a new AbstractDescriptor with the given name and description.

Method Summary
`abstract void` | `fromXML(IDocument doc)` Extract the data for this descriptor from the given IDocument instance, replacing all contents of the current descriptor with the new data.
`void` | `fromXML(java.io.Reader reader)` Parse the XML from the given Reader into the currect descriptor, replacing all contents of the current descriptor with the new XML data.
`void` | `fromXML(java.lang.String xml)` Parse the given XML into the currect descriptor, replacing all contents of the current descriptor with the new XML data.
`java.lang.String` | `getDescription()` Return a description of the object that this descriptor represents and the service's intended use.
`java.lang.String` | `getName()` Get the name of the object this descriptor represents.
`boolean` | `isReadOnly()` used to determine mutability of this object
`void` | `makeReadOnly()` used to make this object immutable
`void` | `setDescription(java.lang.String description)` Set the description of the object that this descriptor represents and its intended use.
`void` | `setName(java.lang.String name)` Set the name of the service this object represents.
`java.lang.String` | `toXML()` Get an XML representation of this descriptor.
`abstract void` | `toXML(IDocument doc)` Output an XML representation of this descriptor into an IDocument instance.
`void` | `toXML(java.io.Writer writer)` Write an XML representation of this descriptor to the given Writer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDescriptor

    protected AbstractDescriptor(java.lang.String publicID,
                                 java.lang.String resourcePath)

  Construct a new instance with the given XML public ID and resource path identifying the DTD.

### AbstractDescriptor

    protected AbstractDescriptor(java.lang.String publicID,
                                 java.lang.String resourcePath,
                                 java.lang.String name,
                                 java.lang.String description)
                          throws java.lang.IllegalArgumentException

  Construct a new AbstractDescriptor with the given name and description.

Method Detail

### getName

    public java.lang.String getName()

  Get the name of the object this descriptor represents.
  Specified by:
    getName in interface IDescriptor

  Returns:
    The name of the object this descriptor represents.

### setName

    public void setName(java.lang.String name)
                 throws java.lang.IllegalArgumentException

  Set the name of the service this object represents.
  Specified by:
    setName in interface IDescriptor

  Parameters:
    `name` - The name of the object this descriptor represents. Null is not allowed.
  Throws:
    java.lang.IllegalArgumentException - If the name parameter is null.

### getDescription

    public java.lang.String getDescription()

  Return a description of the object that this descriptor represents and the service's intended use.
  Specified by:
    getDescription in interface IDescriptor

  Returns:
    A description of this object and its intended use, or null if no description has been set.

### setDescription

    public void setDescription(java.lang.String description)

  Set the description of the object that this descriptor represents and its intended use.
  Specified by:
    setDescription in interface IDescriptor

  Parameters:
    `description` - A description of the object that this descriptor represents and its intended use, or null if no description is known.

### isReadOnly

    public boolean isReadOnly()

  used to determine mutability of this object
  Specified by:
    isReadOnly in interface IDescriptor

### makeReadOnly

    public void makeReadOnly()

  used to make this object immutable
  Specified by:
    makeReadOnly in interface IDescriptor

### toXML

    public java.lang.String toXML()
                           throws DocumentException

  Get an XML representation of this descriptor.
  Specified by:
    toXML in interface IDescriptor

  Returns:
    An XML string containing the data for this descriptor.
  Throws:
    DocumentException - If any error occurs while processing the XML for this descriptor.

### toXML

    public void toXML(java.io.Writer writer)
               throws DocumentException,
                      java.io.IOException

  Write an XML representation of this descriptor to the given Writer.
  Specified by:
    toXML in interface IDescriptor

  Parameters:
    `A` - Writer object representing the destination for an XML stream containing the data for this descriptor.
  Throws:
    DocumentException - If any error occurs while processing the XML for this descriptor.
    java.io.IOException - If an error occurs writing to the given Writer.

### toXML

    public abstract void toXML(IDocument doc)
                        throws DocumentException

  Output an XML representation of this descriptor into an IDocument instance.
  Specified by:
    toXML in interface IDescriptor

  Parameters:
    `doc` - An IDocument instance to receive the data for this descriptor.
  Throws:
    DocumentException - If any error occurs while processing the XML for this descriptor.

### fromXML

    public void fromXML(java.lang.String xml)
                 throws DocumentParseException,
                        DocumentException

  Parse the given XML into the currect descriptor, replacing all contents of the current descriptor with the new XML data.
  Specified by:
    fromXML in interface IDescriptor

  Parameters:
    `An` - XML string containing the data for this descriptor.
  Throws:
    DocumentParseException - If any error occurs while parsing the XML for this descriptor.
    DocumentException - If any error occurs while processing the XML for this descriptor.

### fromXML

    public void fromXML(java.io.Reader reader)
                 throws DocumentParseException,
                        DocumentException,
                        java.io.IOException

  Parse the XML from the given Reader into the currect descriptor, replacing all contents of the current descriptor with the new XML data.
  Specified by:
    fromXML in interface IDescriptor

  Parameters:
    `An` - Reader object representing the source for an XML stream containing the data for this descriptor.
  Throws:
    DocumentParseException - If any error occurs while parsing the XML for this descriptor.
    DocumentException - If any error occurs while processing the XML for this descriptor.
    java.io.IOException - If an error occurs reading to the given Reader.

### fromXML

    public abstract void fromXML(IDocument doc)
                          throws DocumentException

  Extract the data for this descriptor from the given IDocument instance, replacing all contents of the current descriptor with the new data.
  Specified by:
    fromXML in interface IDescriptor

  Parameters:
    `doc` - An IDocument instance from which the data for this descriptor will be extracted.
  Throws:
    DocumentException - If any error occurs while processing the XML for this descriptor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)